Subject: Re: bug#43177: Bug: Emacs 27.1 hangs forever in `FcCharSetSubtractCount' from '/usr/lib/libfontconfig.so.1'

From: Alexander Shukaev <[email-masked]>
Date: Thu, 3 Sep 2020 11:53:05 +0200

On 03/09/2020 11:50, Alexander Shukaev wrote:
> On 03/09/2020 11:40, Alexander Shukaev wrote:
>> (gdb) f 7
>> #7  0x0000555555a8d875 in xfont_supported_scripts 
>> (display=0x555556594940, fontname=0x55556a79e428 "-misc-trirong 
>> medium-medium-i-normal--0-0-0-0-p-0-iso10646-1", 
>> props=XIL(0x7ffff27926e5),
>>      encoding=0x7ffff23ab8d0) at xfont.c:266
>> 266          xfont = XLoadQueryFont (display, fontname);
>> (gdb) pp fontname
>> #<INVALID_LISP_OBJECT 0x55556a79e428>
>> (gdb) pp fontname
>> #<INVALID_LISP_OBJECT 0x55556a79e428>
>> (gdb) p fontname
>> $3 = 0x55556a79e428 "-misc-trirong 
>> medium-medium-i-normal--0-0-0-0-p-0-iso10646-1"
>> (gdb)
> 
> It appears to always be different `fontname' here as I try multiple 
> times to reproduce.  Maybe it's not really hanging but is merely 
> ultra-slow somehow in looping over the fonts here.  Any ideas?

Hmm, right, waited for about a minute or so, and the file got opened 
finally.  Reopening it was instant as well as if something got 
cached/loaded already.  So any ideas how to speed things up here?  I 
don't think I've encountered that with 26.3...